be.fgov.ehealth.standards.kmehr.schema.v1

## Class ContentlocalitemattributeType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.ContentlocalitemattributeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:00:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class ContentlocalitemattributeType
      extends Object
      implements Serializable

  Java class for contentlocalitemattributeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="contentlocalitemattributeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CONTENT" maxOccurs="unbounded" minOccurs="0"/>
               <choice>
                 <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
                 <element name="boolean" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
                 <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
                 <sequence>
                   <element name="date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
                   <element name="time" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/>
                 </sequence>
                 <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType"/>
                 <element name="person" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}personType"/>
                 <element name="lnk" type="{http://www.w3.org/2001/XMLSchema}anyType" maxOccurs="unbounded"/>
               </choice>
               <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}unitType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentlocalitemattributeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CDCONTENT>` | `getCds()` Gets the value of the cds property.
    `org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
    `BigDecimal` | `getDecimal()` Gets the value of the decimal property.
    `HcpartyType` | `getHcparty()` Gets the value of the hcparty property.
    `List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
    `List<Object>` | `getLnks()` Gets the value of the lnks property.
    `PersonType` | `getPerson()` Gets the value of the person property.
    `TextType` | `getText()` Gets the value of the text property.
    `org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
    `UnitType` | `getUnit()` Gets the value of the unit property.
    `Boolean` | `isBoolean()` Gets the value of the boolean property.
    `void` | `setBoolean(Boolean value)` Sets the value of the boolean property.
    `void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
    `void` | `setDecimal(BigDecimal value)` Sets the value of the decimal property.
    `void` | `setHcparty(HcpartyType value)` Sets the value of the hcparty property.
    `void` | `setPerson(PersonType value)` Sets the value of the person property.
    `void` | `setText(TextType value)` Sets the value of the text property.
    `void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.
    `void` | `setUnit(UnitType value)` Sets the value of the unit property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentlocalitemattributeType

          public ContentlocalitemattributeType()

  - ### Method Detail

    - #### getIds

          public List<IDKMEHR> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDKMEHR`

    - #### getCds

          public List<CDCONTENT> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDCONTENT`

    - #### getLnks

          public List<Object> getLnks()

      Gets the value of the lnks property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnks property.

      For example, to add a new item, do as follows:

              getLnks().add(newItem);

      Objects of the following type(s) are allowed in the list `Object`

    - #### getPerson

          public PersonType getPerson()

      Gets the value of the person property.
      Returns:
        possible object is `PersonType`

    - #### setPerson

          public void setPerson(PersonType value)

      Sets the value of the person property.
      Parameters:
        `value` - allowed object is `PersonType`

    - #### getHcparty

          public HcpartyType getHcparty()

      Gets the value of the hcparty property.
      Returns:
        possible object is `HcpartyType`

    - #### setHcparty

          public void setHcparty(HcpartyType value)

      Sets the value of the hcparty property.
      Parameters:
        `value` - allowed object is `HcpartyType`

    - #### getDate

          public org.joda.time.DateTime getDate()

      Gets the value of the date property.
      Returns:
        possible object is `String`

    - #### setDate

          public void setDate(org.joda.time.DateTime value)

      Sets the value of the date property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTime

          public org.joda.time.DateTime getTime()

      Gets the value of the time property.
      Returns:
        possible object is `String`

    - #### setTime

          public void setTime(org.joda.time.DateTime value)

      Sets the value of the time property.
      Parameters:
        `value` - allowed object is `String`

    - #### getText

          public TextType getText()

      Gets the value of the text property.
      Returns:
        possible object is `TextType`

    - #### setText

          public void setText(TextType value)

      Sets the value of the text property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### isBoolean

          public Boolean isBoolean()

      Gets the value of the boolean property.
      Returns:
        possible object is `Boolean`

    - #### setBoolean

          public void setBoolean(Boolean value)

      Sets the value of the boolean property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getDecimal

          public BigDecimal getDecimal()

      Gets the value of the decimal property.
      Returns:
        possible object is `BigDecimal`

    - #### setDecimal

          public void setDecimal(BigDecimal value)

      Sets the value of the decimal property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getUnit

          public UnitType getUnit()

      Gets the value of the unit property.
      Returns:
        possible object is `UnitType`

    - #### setUnit

          public void setUnit(UnitType value)

      Sets the value of the unit property.
      Parameters:
        `value` - allowed object is `UnitType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.